aboutsummaryrefslogtreecommitdiffstats
path: root/community
diff options
context:
space:
mode:
authorRasmus Thomsen <oss@cogitri.dev>2020-02-03 09:11:23 +0100
committerRasmus Thomsen <oss@cogitri.dev>2020-02-03 09:11:59 +0100
commitd419e3bf90cb1dad51fe04faa6e10207429c1a85 (patch)
treead1e25d641f33d3b4f3a3bba05f744bba7532a32 /community
parentec12a1dfb0e96e999504c75c70304d0b41fe44ac (diff)
downloadaports-d419e3bf90cb1dad51fe04faa6e10207429c1a85.tar.gz
aports-d419e3bf90cb1dad51fe04faa6e10207429c1a85.tar.bz2
aports-d419e3bf90cb1dad51fe04faa6e10207429c1a85.tar.xz
community/qt5-*: fix license of various Qt packages
Diffstat (limited to 'community')
-rw-r--r--community/qt5-qtcharts/APKBUILD2
-rw-r--r--community/qt5-qtconnectivity/APKBUILD2
-rw-r--r--community/qt5-qtimageformats/APKBUILD2
-rw-r--r--community/qt5-qtremoteobjects/APKBUILD2
-rw-r--r--community/qt5-qtscript/APKBUILD2
-rw-r--r--community/qt5-qtsvg/APKBUILD2
-rw-r--r--community/qt5-qttools/APKBUILD2
-rw-r--r--community/qt5-qttranslations/APKBUILD2
-rw-r--r--community/qt5-qtwebsockets/APKBUILD2
-rw-r--r--community/qt5-qtx11extras/APKBUILD2
10 files changed, 10 insertions, 10 deletions
diff --git a/community/qt5-qtcharts/APKBUILD b/community/qt5-qtcharts/APKBUILD
index 889aff5ede..763502c118 100644
--- a/community/qt5-qtcharts/APKBUILD
+++ b/community/qt5-qtcharts/APKBUILD
@@ -11,7 +11,7 @@ pkgrel=1
pkgdesc="Qt5 - Support for rendering and displaying SVG"
url="https://www.qt.io/developers/"
arch="all"
-license="LGPL-2.0 with exceptions or GPL-3.0 with exceptions"
+license="(LGPL-2.0-or-later OR GPL-3.0-only OR GPL-2.0-or-later) AND Qt-GPL-exception-1.0"
makedepends="qt5-qtbase-dev zlib-dev"
subpackages="$pkgname-dev"
diff --git a/community/qt5-qtconnectivity/APKBUILD b/community/qt5-qtconnectivity/APKBUILD
index bcc1d14e83..5a9ed89053 100644
--- a/community/qt5-qtconnectivity/APKBUILD
+++ b/community/qt5-qtconnectivity/APKBUILD
@@ -11,7 +11,7 @@ pkgrel=1
pkgdesc="QT5 Connectivity Compontents"
url="https://www.qt.io/developers/"
arch="all"
-license="LGPL-2.0 with exceptions or GPL-3.0 with exceptions"
+license="(LGPL-2.0-or-later OR GPL-3.0-only OR GPL-2.0-or-later) AND Qt-GPL-exception-1.0"
options="!check" #upstream does not provide check
makedepends="qt5-qtbase-dev"
subpackages="$pkgname-dev"
diff --git a/community/qt5-qtimageformats/APKBUILD b/community/qt5-qtimageformats/APKBUILD
index 6020007bb7..7d9e27eeb0 100644
--- a/community/qt5-qtimageformats/APKBUILD
+++ b/community/qt5-qtimageformats/APKBUILD
@@ -10,7 +10,7 @@ pkgrel=1
pkgdesc="Qt5 - QtImageFormats component"
url="https://www.qt.io/developers/"
arch="all"
-license="LGPL-2.0 with exceptions or GPL-3.0 with exceptions"
+license="(LGPL-2.0-or-later OR GPL-3.0-only OR GPL-2.0-or-later) AND Qt-GPL-exception-1.0"
makedepends="qt5-qtbase-dev libmng-dev tiff-dev libwebp-dev"
case $pkgver in
diff --git a/community/qt5-qtremoteobjects/APKBUILD b/community/qt5-qtremoteobjects/APKBUILD
index eca423320a..b92867b74f 100644
--- a/community/qt5-qtremoteobjects/APKBUILD
+++ b/community/qt5-qtremoteobjects/APKBUILD
@@ -11,7 +11,7 @@ pkgrel=1
pkgdesc="Qt Remote Objects (QtRO) is an inter-process communication (IPC) module developed for Qt"
url="https://www.qt.io/developers/"
arch="all"
-license="LGPL-2.0 with exceptions or GPL-3.0 with exceptions"
+license="(LGPL-2.0-or-later OR GPL-3.0-only OR GPL-2.0-or-later) AND Qt-GPL-exception-1.0"
options="!check" #upstream does not provide check
makedepends="qt5-qtbase-dev"
subpackages="$pkgname-dev"
diff --git a/community/qt5-qtscript/APKBUILD b/community/qt5-qtscript/APKBUILD
index de8c30b95a..14db234c76 100644
--- a/community/qt5-qtscript/APKBUILD
+++ b/community/qt5-qtscript/APKBUILD
@@ -10,7 +10,7 @@ pkgrel=1
pkgdesc="Qt5 - QtScript component"
url="https://www.qt.io/developers/"
arch="all"
-license="LGPL-2.0 with exceptions or GPL-3.0 with exceptions"
+license="(LGPL-2.0-or-later OR GPL-3.0-only OR GPL-2.0-or-later) AND Qt-GPL-exception-1.0"
makedepends="qt5-qtbase-dev linux-headers"
subpackages="$pkgname-dev"
diff --git a/community/qt5-qtsvg/APKBUILD b/community/qt5-qtsvg/APKBUILD
index f97695ea1f..13da6bcf51 100644
--- a/community/qt5-qtsvg/APKBUILD
+++ b/community/qt5-qtsvg/APKBUILD
@@ -11,7 +11,7 @@ pkgrel=1
pkgdesc="Qt5 - Support for rendering and displaying SVG"
url="https://www.qt.io/developers/"
arch="all"
-license="LGPL-2.0 with exceptions or GPL-3.0 with exceptions"
+license="(LGPL-2.0-or-later OR GPL-3.0-only OR GPL-2.0-or-later) AND Qt-GPL-exception-1.0"
makedepends="qt5-qtbase-dev zlib-dev"
subpackages="$pkgname-dev"
diff --git a/community/qt5-qttools/APKBUILD b/community/qt5-qttools/APKBUILD
index da941a5163..6374478eb8 100644
--- a/community/qt5-qttools/APKBUILD
+++ b/community/qt5-qttools/APKBUILD
@@ -10,7 +10,7 @@ pkgrel=1
pkgdesc="Qt5 - QtTool components"
url="https://www.qt.io/developers/"
arch="all"
-license="LGPL-2.0 with exceptions or GPL-3.0 with exceptions"
+license="(LGPL-2.0-or-later OR GPL-3.0-only OR GPL-2.0-or-later) AND Qt-GPL-exception-1.0 AND GFDL-1.3-or-later"
makedepends="qt5-qtbase-dev"
subpackages="$pkgname-static $pkgname-dev qt5-assistant:_assistant qt5-qdbusviewer:_dbusviewer"
diff --git a/community/qt5-qttranslations/APKBUILD b/community/qt5-qttranslations/APKBUILD
index 3cd2d545a4..c78afa91db 100644
--- a/community/qt5-qttranslations/APKBUILD
+++ b/community/qt5-qttranslations/APKBUILD
@@ -10,7 +10,7 @@ pkgrel=1
pkgdesc="Qt5 - QtTranslations module"
url="https://www.qt.io/developers/"
arch="noarch"
-license="LGPL-2.0 with exceptions or GPL-3.0 with exceptions and GFDL"
+license="GPL-3.0-only AND Qt-GPL-exception-1.0"
makedepends="qt5-qttools-dev"
case $pkgver in
diff --git a/community/qt5-qtwebsockets/APKBUILD b/community/qt5-qtwebsockets/APKBUILD
index 0e40ef2a6c..435d0a9c11 100644
--- a/community/qt5-qtwebsockets/APKBUILD
+++ b/community/qt5-qtwebsockets/APKBUILD
@@ -12,7 +12,7 @@ pkgrel=1
pkgdesc="Provides WebSocket communication compliant with RFC 6455"
url="https://www.qt.io/developers/"
arch="all"
-license="GPL-3.0"
+license="(LGPL-3.0-or-later OR GPL-3.0-only OR GPL-2.0-or-later) AND Qt-GPL-exception-1.0"
makedepends="qt5-qtbase-dev"
subpackages="$pkgname-dev"
replaces="qt5-websockets"
diff --git a/community/qt5-qtx11extras/APKBUILD b/community/qt5-qtx11extras/APKBUILD
index 71ddaf0759..57b8dfec1e 100644
--- a/community/qt5-qtx11extras/APKBUILD
+++ b/community/qt5-qtx11extras/APKBUILD
@@ -12,7 +12,7 @@ pkgrel=1
pkgdesc="Provides platform-specific APIs for X11"
url="https://www.qt.io/developers/"
arch="all"
-license="GPL-3.0"
+license="(LGPL-3.0-or-later OR GPL-3.0-only OR GPL-2.0-or-later) AND Qt-GPL-exception-1.0"
makedepends="qt5-qtbase-dev"
subpackages="$pkgname-dev"
replaces="qt5-x11extras"